Bug 444545 - Password query dialog does not escape label string
Password query dialog does not escape label string
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: usermode (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Miloslav Trmač
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-28 19:24 EDT by Hans Ulrich Niedermann
Modified: 2008-09-10 02:57 EDT (History)
2 users (show)

See Also:
Fixed In Version: 1.97-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-01 09:14:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hans Ulrich Niedermann 2008-04-28 19:24:36 EDT
Description of problem:

  When starting e.g. the "Wireless Assistant", one is presented with
  a dialog box:

  +------[Query]-----------------------------------+
  | You are attempting to run "wlassistant"        |
  | which requires administrative priviledges, but |
  | more information is needed in order to do so.  |
  |                                                |
  |    Authenticating as "root"                    |
  |                                                |
  | pammount password:  [_____________]            |
  |                          [Cancel] [OK]         |
  +------------------------------------------------+

  The label for the text field is a string handed to userhelper
  from PAM, and, in this case, should read "pam_mount password".

  However, the dialog window uses the underscore character to
  just underscore the following letter "m".

Version-Release number of selected component (if applicable):

  usermode-1.96.1-1.i386

How reproducible:

  Every time.

Steps to Reproduce:
1. Set up /etc/pam.d/system-auth with pam_mount, similar to this:
     auth        required      pam_mount.so
     auth        sufficient    pam_unix.so nullok use_first_pass
2. Click on any Gnome menu entry or launcher which starts
   something requiring admin priviledges.
  
Actual results:

   "pammount password:" with underlined second "m"

Expected results:

   "pam_mount password"

Additional info:

   I would expect the GTK+ toolbox to contain a tool for proper
   escaping of strings.
Comment 1 Miloslav Trmač 2008-05-01 09:14:46 EDT
Fixed in rawhide usermode-1.97-1.

Thanks for your report
Comment 2 Fedora Update System 2008-08-03 03:17:45 EDT
usermode-1.98-1.fc9 has been submitted as an update for Fedora 9
Comment 3 Fedora Update System 2008-09-10 02:57:00 EDT
usermode-1.98-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.